<div class="contentRightB">

  <div class="contentFull left filler-bottom">

    <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[0]">
      <!-- THIS IS TRADE PART, LOWER IS DONATE -->
      <div class="content-holder filler-bottom" *ngIf="isTrade">
        <h3>Trade</h3>
        <h4>Trade Session</h4>
        <div class="tradeSession">
          <ul class="tradeSession1">
            <li>
              <b>
                <a href="{{hostUrl}}/{{trade.entity1.entityTypeName}}/{{trade.entity1.entityId}}" target="_blank"
                  style="margin-left: 10px;">{{trade.entity1.name}}</a>
              </b>
            </li>
            <li>
              <b>
                <a href="{{hostUrl}}/{{trade.entity2.entityTypeName}}/{{trade.entity2.entityId}}" target="_blank"
                  style="margin-left: 10px;">{{trade.entity2.name}}</a>
              </b>
            </li>
          </ul>

          <ul class="tradeSession2">

            <li>
              <a *ngFor="let item of trade.items" (click)="removeItem(item)">
                <!-- ALL ITEMS IN TRADE -->
                <div class="inventory" *ngIf="item.entityId === trade.entity1.entityId && item.item">
                  <ul class="small" title="Click to remove" style="width: 5em;">
                    <li>
                      <span>
                        {{item.item.amount | number}}
                      </span>
                      <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.item.itemName | lowercase}}.png" />
                      <!--  IS NOT CURRENCY  -->
                    </li>
                    <li class="gold">
                      <span *ngFor="let i of item.item.quality | q">&#9733;</span>
                    </li>
                  </ul>
                </div>
                <div class="inventory" *ngIf="item.entityId === trade.entity1.entityId && item.currency">
                  <ul class="small" title="Click to remove" style="width: 5em;">
                    <li>
                      <span>
                        {{item.currency.amount | number:'1.2-2' }}
                      </span>
                      <img src="{{hostUrl}}/{{item.currency.flagLocation[1] | lowercase}}" /> <!--  CURRENCY  -->
                    </li>
                  </ul>
                </div>
              </a>
            </li>

            <li>
              <a *ngFor="let item of trade.items">
                <!-- ALL ITEMS IN TRADE -->
                <div class="inventory" *ngIf="item.entityId === trade.entity2.entityId && item.item">
                  <ul class="small" style="width: 5em;">
                    <li>
                      <span>
                        {{item.item.amount | number}}
                      </span>
                      <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.item.itemName | lowercase}}.png" />
                      <!--  IS NOT CURRENCY  -->
                    </li>
                    <li class="gold">
                      <span *ngFor="let i of item.item.quality | q">&#9733;</span>
                    </li>
                  </ul>
                </div>
                <div class="inventory" *ngIf="item.entityId === trade.entity2.entityId && item.currency">
                  <ul class="small" title="Click to remove" style="width: 5em;">
                    <li>
                      <span>
                        {{item.currency.amount | number:'1.2-2' }}
                        <!-- @Math.Round(item.Amount, 2) // IF IS CURRENCY -->
                      </span>
                      <img src="{{hostUrl}}/{{item.currency.flagLocation[1] | lowercase}}" /> <!--  CURRENCY  -->
                    </li>
                  </ul>
                </div>
              </a>
            </li>

          </ul>
          <ul class="tradeSession3">
            <li>
              <span *ngIf="trade.approved1 === true" class="small">Accepted</span>
              <button
                *ngIf="trade.approved1 === false && trade.entity1.entityType == entityType && trade.entity1.entityId == entityId"
                class="smBtn blButton smaller" type="submit" style="border:none;"
                (click)="approveTrade()">Accept</button>
              <span
                *ngIf="trade.approved1 === false && trade.entity2.entityType == entityType && trade.entity2.entityId == entityId"
                class="small">Waiting...</span> <!-- WAITING FOR OTHER SIDE TO ACCEPT -->
            </li>
            <li (click)="getTrade(tradeId)">
              <a>
                <img src="{{hostUrl}}/assets/img/misc/refresh.svg">
              </a>
              <br>
              <p class="small">Click to refresh</p>
            </li>
            <li>
              <span *ngIf="trade.approved2 === true" class="small">Accepted</span>
              <button
                *ngIf="trade.approved2 === false && trade.entity2.entityType == entityType && trade.entity2.entityId == entityId"
                class="smBtn blButton smaller" type="submit" style="border:none;"
                (click)="approveTrade()">Accept</button>
              <span
                *ngIf="trade.approved2 === false && trade.entity1.entityType == entityType && trade.entity1.entityId == entityId"
                class="small">Waiting...</span> <!-- WAITING FOR OTHER SIDE TO ACCEPT -->
            </li>
          </ul>
        </div>

        <div class="clear"></div>
      </div>

      <!-- THIS IS DONATE PART, HIGHER IS TRADING -->
      <div class="content-holder filler-bottom" *ngIf="isDonate">
        <h3>Donate</h3>
        <h4>Item donate</h4>
        <p>
          A donation is final once you have clicked "Donate". You are donating to
          <a href="{{hostUrl}}/{{trade.entity2.entityTypeName}}/{{trade.entity2.entityId}}" target="_blank"
            style="margin-left: 10px;">{{trade.entity2.name}}</a>
        </p>
        <div class="tradeSession">
          <div class="inventory">
            <!-- this is essentially the same code as above -->
            <a *ngFor="let item of trade.items" (click)="removeItem(item)">
              <!-- ALL ITEMS IN TRADE -->
              <div class="inventory" *ngIf="item.item">
                <ul class="small" title="Click to remove" style="width: 5em;">
                  <li>
                    <span>
                      {{item.item.amount | number}}
                      <!-- @Math.Round(item.Amount, 0) IF NOT CURRENCY  -->
                    </span>
                    <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.item.itemName | lowercase}}.png" />
                    <!--  IS NOT CURRENCY  -->
                  </li>
                  <li class="gold">
                    <span *ngFor="let i of item.item.quality | q">&#9733;</span>
                  </li>
                </ul>
              </div>
              <div class="inventory" *ngIf="item.currency">
                <ul class="small" title="Click to remove" style="width: 5em;">
                  <li>
                    <span>
                      {{item.currency.amount | number:'1.2-2' }}
                      <!-- @Math.Round(item.Amount, 2) // IF IS CURRENCY -->
                    </span>
                    <img src="{{hostUrl}}/{{item.currency.flagLocation[1] | lowercase}}" /> <!--  CURRENCY  -->
                  </li>
                </ul>
              </div>
            </a>

            <div class="clear"></div>
          </div>
          <ul class="tradeSession3" *ngIf="trade.isFinished == false && trade.items">
            <!-- BUTTON TO DONATE IS THERE ARE MORE THAN 0 ITEMS AND TRADE IS NOT FINISHED -->
            <li></li>
            <li>
              <input class="smBtn blButton smaller" type="button" value="Donate" (click)="approveTrade()"
                style="border:none;" />
            </li>
            <li></li>
          </ul>
        </div>
        <div class="clear"></div>
      </div>

      <!-- SHOW THIS DIV IF TRADE IS NOT FINISHED -->
      <!-- {{trade.isFinished}} -->
      <div *ngIf="trade.isFinished === false" class="content-holder">
        <div class="tradeSession">
          <ul class="tradeSession3">
            <li>
            </li>
            <li>
              <a href="" style="border: none;" class="xlBtn rdButton smaller" (click)="closeTrade()">Cancel
                {{getTradeType()}}</a>
            </li>
            <li>

            </li>
          </ul>
        </div>
      </div>
    </nz-spin>
  </div>

  <app-trading-view-inventory [inventory]="items" [tradeId]="tradeId" [visible]="trade.isFinished === false"
    (itemAddedEvent)="itemAddedEventHandler($event)">
  </app-trading-view-inventory>
  <app-trading-view-account [account]="currencies" [tradeId]="tradeId" [visible]="trade.isFinished === false"
    (itemAddedEvent)="itemAddedEventHandler($event)">
  </app-trading-view-account>
</div>
<div class="clear"></div>